---
title: Document.dir
slug: Web/API/Document/dir
tags:
  - API
  - Document
  - HTML DOM
  - Property
  - Reference
---
<div>{{ApiRef("HTML DOM")}}</div>

<p>The <code><strong>Document.dir</strong></code> property is a {{domxref("DOMString")}} representing the directionality of the text of the document, whether left to right (default) or right to left. Possible values are <code>'rtl'</code>, right to left, and <code>'ltr'</code>, left to right.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>dirStr</em> = <em>document</em>.dir
<em>document</em>.dir = <em>dirStr</em>
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName("HTML WHATWG", "#dom-document-dir", "Document.dir")}}</td>
			<td>{{Spec2("HTML WHATWG")}}</td>
			<td>Initial specification</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.dir")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li><a href="/en-US/docs/Web/HTML/Global_attributes/dir"><code>dir</code></a> global attribute</li>
</ul>
